muldti db 2.8 compatible with wordpress 2.8.5.2?

Is multi db version 2.8 is compatible with new wordpress mu version 2.8.5.2?